package org.bdware.sc.registry;

import com.google.gson.JsonElement;
import com.google.gson.JsonObject;
import org.bdware.sc.engine.JSONTool;
import wrp.jdk.nashorn.api.scripting.ScriptObjectMirror;
import java.sql.SQLException;
import java.util.HashMap;
import java.util.Map;


public class RegistryDB {
  public static void init(ScriptObjectMirror arg, String requester) {
    try {
      JsonObject jsonData = JSONTool.convertMirrorToJson(arg).getAsJsonObject();
      DBConnector.url = jsonData.get("DBUrl").getAsString();
      DBConnector.password = jsonData.get("password").getAsString();
      DBConnector.userName = jsonData.get("username").getAsString();
      DBConnector.init();
      DBConnector.connect();

      Map<String, Object> item = new HashMap<>();
      item.put("pubkey", requester);
      item.put("type", "admin");
      item.put("username", jsonData.get("adminName").getAsString());
      DBConnector.insert("registry", "user", item);
    } catch (Exception e) {
      e.printStackTrace();
    }
  }


}
